.asidenav {
    width: 12rem;
    background: linear-gradient(45deg, var(--primary) 40%, var(--magenta));
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.asidenav__ul {
    display: flex;
    flex-direction: column;
}

.asidenav__li--fnav {
    justify-content: space-between!important;
    cursor: default!important;
    height: 3rem;
}

.asidenav__li--fnav:hover {
   background: none!important; 
}

.asidenav__button {
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    background: none;
    cursor: pointer!important;
    color: #fff!important;
}

.asidenav__button:hover span {
    color: #fff;
}

.asidenav__li {
    display: flex;
    gap: 10px;
    cursor: pointer;
    justify-content: flex-start;
    align-items: center;
    padding: 10px;
    transition: 0.3s ease-in-out;
}

.asidenav__li--active {
    background-color: #fff;
    position: relative;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

@keyframes FadeActiveTop{
    from {
        top: -15px;
    }

    to {
        top: -24px;
    }
}

.asidenav__li--active::before {
    content: '';
    position: absolute;
    width: 1.5rem;
    height: 1.5rem;
    top: -24px;
    right: 0;
    background: url(../images/active.svg);
    background-size: contain;
    transform: rotate(90deg);
    animation: FadeActiveTop 0.3s ease;
}

@keyframes FadeActiveBottom{
    from {
        top: 35px;
    }

    to {
        top: 44px;
    }
}

.asidenav__li--active::after {
    content: '';
    position: absolute;
    width: 1.5rem;
    height: 1.5rem;
    top: 44px;
    right: 0;
    background: url(../images/active.svg);
    background-size: contain;
    animation: FadeActiveBottom 0.3s ease;
}

.asidenav__li--active a {
    color: #000;
    position: relative;
    z-index: 2;
}

@keyframes ViweActiveBottom{
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.asidenav__li--active a::before {
    content: '';
    width: 120%;
    height: 44px;
    background: #fff;
    left: -10px;
    top: -10px;
    position: absolute;
    z-index: -1;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

.asidenav__li--active p {
    color: #000!important;
    font-weight: 500;
}

.asidenav__link {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    text-decoration: none;
    gap: 10px;
    color: #fff;
}

.asidenav__li:hover p{
    color: var(--cream);
}

.asidenav__li span {
    color: var(--cream);
}

.asidenav__li p {
    color: #fff;
    min-width: 7rem;
}

.hiden--tagoption {
    display: none;
    visibility: hidden;
}

@keyframes openAside {
    from {
        width: 3rem;
    }

    to {
        width: 12rem;
    }
}

.show--asidenav {
    animation: openAside 0.5s ease-in-out;
    width: 12rem;
}

@keyframes closeAside {
    from {
        width: 12rem;
    }

    to {
        width: 3rem;
    }
}

.hidden--asidenav {
    animation: closeAside 0.5s ease-in-out;
    width: 3rem;
}